Alokai

SapccApiUpdateCartEntryRequest

Request parameters for updateCartEntry operation in SapccApi. SapccApiUpdateCartEntryRequest

interface SapccApiUpdateCartEntryRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly entryNumber: number;
	readonly fields?: string;
	readonly orderEntry: OrderEntry;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier. {string} SapccApiUpdateCartEntry
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiUpdateCartEntry
entryNumberRequirednumberEach entry in a cart has an entry number. Cart entries are numbered in ascending order, starting with zero. {number} SapccApiUpdateCartEntry
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiUpdateCartEntry
orderEntryRequiredOrderEntry{OrderEntry} SapccApiUpdateCartEntry
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiUpdateCartEntry

Referenced Types

On this page